bbp_get_theme_compat_version

Gets the version of the bbPress compatable theme used, in the event the currently active WordPress theme does not explicitly support bbPress.

Description

(string) apply_filters( 'bbp_get_theme_compat_version', (unknown) $bbpress ); 

This can be filtered or set manually. Tricky theme authors can override the default and include their own bbPress compatibility layers for their themes.

Returns (string)

Parameters (1)

0. $bbpress (unknown) => bbpress()->theme_compat->theme->version
The bbpress.

Usage

To run the hook, copy the example below.
  1. $bbpress = apply_filters( 'bbp_get_theme_compat_version', $bbpress ); 
  2.  
  3. if ( !empty( $bbpress ) ) { 
  4.  
  5. // everything has led up to this point... 
  6.  
  7.  
The following example is for adding a hook callback.
  1. // define the bbp_get_theme_compat_version callback 
  2. function filter_bbp_get_theme_compat_version( $bbpress ) { 
  3. // make filter magic happen here... 
  4. return $bbpress
  5. }; 
  6.  
  7. // add the filter 
  8. add_filter( 'bbp_get_theme_compat_version', 'filter_bbp_get_theme_compat_version', 10, 1 ); 
To remove a hook callback, use the example below.
  1. // remove the filter 
  2. remove_filter( 'bbp_get_theme_compat_version', 'filter_bbp_get_theme_compat_version', 10, 1 ); 

Defined (1)

The filter is defined in the following location(s).

/includes/core/theme-compat.php  
  1. return apply_filters( 'bbp_get_theme_compat_version', bbpress()->theme_compat->theme->version );